Update a Custom Toolput {protocol}://{base-url}/ai/api/v1/config/tool/{tool_config_id}Update a custom tool configuration.Path Paramstool_config_iduuidrequiredThe tool config ID.Body ParamsRequest schema for updating an existing tool configuration. Note: Only user-created configs can be updated, not system defaults. All fields are optional. Type-specific fields are only applied if the tool is of the matching type.namestringnulllength ≥ 2New display name for the tool.descriptionstringnulllength ≥ 2New description for the tool. This will be included in agent prompts to help the LLM understand when and how to use this tool.function_namestringnulllength ≥ 1The unique name identifying this tool to an LLM.scorer_refDefaultToolScorerRef | nullReference to the Tool Scorer to use when using tool-based evaluation.scorer_ref DefaultToolScorerRef | nullrequires_approvalbooleannullWhether this tool requires user approval before execution.truefalseinput_parameter_schemaobject | nullJSON schema describing the tool's input parametersInput Parameter Schema object | nullsmtp_configSMTPConfig | nullSMTP server configuration (for SMTP tools)smtp_config SMTPConfig | nullhttp_configHTTPConfig | nullHTTP endpoint configuration (for HTTP tools)http_config HTTPConfig | nullauth_configAuthConfigUpdate | nullAuthentication configuration updatesauth_config AuthConfigUpdate | nullResponses 200Successful Response 401Authentication required. No valid session cookie or bearer token provided, or authentication failed. 404Custom tool not found. 422Validation Error 500Internal server error during request processing.Updated 24 days ago Create a Custom ToolDelete a Custom ToolDid this page help you?YesNo